Results 1 to 10 of 10
  1. #1


    Member Since
    Feb 22, 2007
    Posts
    4
    Question Can't find Java 1.5.
    Hi

    New to Mac's and new to these forums, so please bear with me. First off big Hi to you all, well at least anyone who reads this

    Over the last week or so I have been using an iMac G4, mostly for testing our product on, although more and more for my day to day work as well (still do development on Linux/Windows at the moment).

    I've been trying to run a couple of applications which keep asking for any Java 1.5. the only Java found on this iMac is 1.4.2.

    My problem is that I can't seem to find an update to get Java 1.5 for this Mac. Its running OS X 10.3.9 if that's any help

    Hope someone can point me in the right direction.

    Thanks in advance for reading / answering

  2. #2
    MacHeadCase
    Guest
    Welcome to Mac-forums, kadanis.

    Either go to your System Preferences and click on Software Update or then again, go to the Apple website, click on the Support tab then on Downloads and you should spot that download in the list as this update was released very recently.

    Choose the correct version as there are versions for Tiger and Panther.

    Good luck!

  3. #3

    D3v1L80Y's Avatar
    Member Since
    Feb 02, 2004
    Location
    PA
    Posts
    12,456
    Specs:
    MacBook
    The highest Java version you can install under OS X 10.3.9 is what you have now. The only way to update to Java 1.5.x is to upgrade your OS to Tiger 10.4.x.
    __________________________________________________
    Posting and YOU|Forum Community Guidelines|The Apple Product Cycle|Forum Courtesy

    mac: a waterproof raincoat made of rubberized fabric
    MAC: a data communication protocol sub-layer, also known as the Media Access Control
    Mac: a brand name which covers several lines of personal computers designed, developed, and marketed by Apple Inc.


  4. #4
    MacHeadCase
    Guest
    There is this update for Panther... Bell is about to ring... Ahhhhhhh...

    Java for Mac OS X 10.3 Update 5:

    About Java for Mac OS X 10.3 Update 5

    Java for Mac OS X 10.3, Update 5 adds support for the latest Daylight Saving Time (DST) and time zone information as of January 8, 2007. This release updates Java 1.4.2 to version 1.4.2_12 and addresses a problem where some Java applications fail to launch.
    But dunno if this would fix your problem...

    See y'all laters!

  5. #5


    Member Since
    Feb 22, 2007
    Posts
    4
    Quote Originally Posted by D3v1L80Y View Post
    The highest Java version you can install under OS X 10.3.9 is what you have now. The only way to update to Java 1.5.x is to upgrade your OS to Tiger 10.4.x.
    Ah well, thanks for the answers. I think this is the right one, as I have done all the updates I can find and it still says I need Java1.5.x.

  6. #6
    MacHeadCase
    Guest
    Too bad that update didn't solve the problem. It isn't 1.5 but I was hoping it wold help and fool the app into playing anyway. LOL

  7. #7


    Member Since
    Feb 22, 2007
    Posts
    4
    Yeah, its a shame.

    Ok, being a complete novice when it comes to Mac's... is OS X 10.4 just something I can download to patch 10.3.9 or do I have to buy a whole new OS and re-install, or can I just upgrade?

    How does it work?

    Thanks again for the answers, and the patience

  8. #8
    MacHeadCase
    Guest
    You have to buy the OS disks. There are a few ways you can install Tiger: check this Apple Knowledge Base Article for the different types of installations, Mac OS X 10.4: About installation options.

    Hope this helps. :girl:

  9. #9


    Member Since
    Feb 22, 2007
    Posts
    4
    Once again, thanks for all the help. Looks like an upgrade may not be far off. Thank god OS X seems to be cheaper than Windows

  10. #10


    Member Since
    Dec 24, 2006
    Location
    N. Ireland
    Posts
    901
    Specs:
    Mac Pro 2xQuad core 2.8GHZ
    Quote Originally Posted by MacHeadCase View Post
    Too bad that update didn't solve the problem. It isn't 1.5 but I was hoping it wold help and fool the app into playing anyway. LOL
    Email the developer of the app and ask them to recompile it for java 1.4 compatibility, most java ide's can do this.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. weasis can't find my java
    By britclin in forum OS X - Operating System
    Replies: 8
    Last Post: 01-22-2015, 04:01 PM
  2. Software update can't find the latest Java
    By helpmeout in forum OS X - Operating System
    Replies: 1
    Last Post: 06-23-2011, 03:48 PM
  3. Find or install Java SE JDK on Mac OS X 10.6.5
    By shabbelle in forum OS X - Apps and Games
    Replies: 2
    Last Post: 12-31-2010, 12:21 AM
  4. Hadoop Can't Find Java
    By bluethundr in forum OS X - Operating System
    Replies: 0
    Last Post: 10-15-2009, 03:39 PM
  5. could not find Java template for textmate
    By mrfox in forum OS X - Apps and Games
    Replies: 0
    Last Post: 07-29-2009, 11:18 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •